Index: squid/src/cache_cf.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cache_cf.c,v
retrieving revision 1.1.1.3.4.1.2.9.2.15
retrieving revision 1.1.1.3.4.1.2.9.2.16
diff -u -r1.1.1.3.4.1.2.9.2.15 -r1.1.1.3.4.1.2.9.2.16
--- squid/src/cache_cf.c	7 Jan 2001 00:37:02 -0000	1.1.1.3.4.1.2.9.2.15
+++ squid/src/cache_cf.c	7 Jan 2001 09:48:30 -0000	1.1.1.3.4.1.2.9.2.16
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cache_cf.c,v 1.1.1.3.4.1.2.9.2.15 2001/01/07 00:37:02 hno Exp $
+ * $Id: cache_cf.c,v 1.1.1.3.4.1.2.9.2.16 2001/01/07 09:48:30 hno Exp $
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
@@ -931,16 +931,16 @@
 allocate_new_authScheme(authConfig * cfg)
 {
     if (cfg->schemes == NULL) {
-        cfg->n_allocated = 4;
-        cfg->schemes = xcalloc(cfg->n_allocated, sizeof(authScheme));
+	cfg->n_allocated = 4;
+	cfg->schemes = xcalloc(cfg->n_allocated, sizeof(authScheme));
     }
     if (cfg->n_allocated == cfg->n_configured) {
-        authScheme *tmp;
-        cfg->n_allocated <<= 1;
-        tmp = xcalloc(cfg->n_allocated, sizeof(authScheme));
-        xmemcpy(tmp, cfg->schemes, cfg->n_configured * sizeof(authScheme));
-        xfree(cfg->schemes);
-        cfg->schemes = tmp;
+	authScheme *tmp;
+	cfg->n_allocated <<= 1;
+	tmp = xcalloc(cfg->n_allocated, sizeof(authScheme));
+	xmemcpy(tmp, cfg->schemes, cfg->n_configured * sizeof(authScheme));
+	xfree(cfg->schemes);
+	cfg->schemes = tmp;
     }
 }
 
@@ -949,36 +949,32 @@
 {
     char *type_str;
     char *param_str;
-    authScheme *scheme=NULL;
-    int type,i;
- 
+    authScheme *scheme = NULL;
+    int type, i;
+
     if ((type_str = strtok(NULL, w_space)) == NULL)
-        self_destruct();
+	self_destruct();
 
     if ((param_str = strtok(NULL, w_space)) == NULL)
-        self_destruct();
+	self_destruct();
 
-    if ((type=authenticateAuthSchemeId(type_str))==-1)
-    {
-        debug(3,0) ("Parsing Config File: Unknown authentication scheme '%s'.\n",type_str);
-        return;
+    if ((type = authenticateAuthSchemeId(type_str)) == -1) {
+	debug(3, 0) ("Parsing Config File: Unknown authentication scheme '%s'.\n", type_str);
+	return;
     }
-
     for (i = 0; i < config->n_configured; i++) {
-        if (config->schemes[i].Id==type) {
-            scheme=config->schemes + i;
-        }
+	if (config->schemes[i].Id == type) {
+	    scheme = config->schemes + i;
+	}
     }
 
-    if (scheme==NULL)
-    {
-        allocate_new_authScheme(config);
-        scheme=config->schemes + config->n_configured;
-        config->n_configured++;
-        scheme->Id=type;
-        scheme->typestr=authscheme_list[type].typestr;
+    if (scheme == NULL) {
+	allocate_new_authScheme(config);
+	scheme = config->schemes + config->n_configured;
+	config->n_configured++;
+	scheme->Id = type;
+	scheme->typestr = authscheme_list[type].typestr;
     }
-   
     authscheme_list[type].parse(scheme, config->n_configured, param_str);
 }
 
@@ -989,10 +985,10 @@
     int i;
     /* DON'T FREE THESE FOR RECONFIGURE */
     if (reconfiguring)
-        return;
+	return;
     for (i = 0; i < cfg->n_configured; i++) {
-        scheme = cfg->schemes + i;
-        authscheme_list[scheme->Id].freeconfig(scheme);
+	scheme = cfg->schemes + i;
+	authscheme_list[scheme->Id].freeconfig(scheme);
     }
     safe_free(cfg->schemes);
     cfg->schemes = NULL;
@@ -1006,8 +1002,8 @@
     authScheme *scheme;
     int i;
     for (i = 0; i < cfg.n_configured; i++) {
-        scheme = cfg.schemes + i;
-        authscheme_list[scheme->Id].dump(entry, name, scheme);
+	scheme = cfg.schemes + i;
+	authscheme_list[scheme->Id].dump(entry, name, scheme);
     }
 }
 
@@ -1015,16 +1011,16 @@
 allocate_new_swapdir(cacheSwap * swap)
 {
     if (swap->swapDirs == NULL) {
-        swap->n_allocated = 4;
-        swap->swapDirs = xcalloc(swap->n_allocated, sizeof(SwapDir));
+	swap->n_allocated = 4;
+	swap->swapDirs = xcalloc(swap->n_allocated, sizeof(SwapDir));
     }
     if (swap->n_allocated == swap->n_configured) {
-        SwapDir *tmp;
-        swap->n_allocated <<= 1;
-        tmp = xcalloc(swap->n_allocated, sizeof(SwapDir));
-        xmemcpy(tmp, swap->swapDirs, swap->n_configured * sizeof(SwapDir));
-        xfree(swap->swapDirs);
-        swap->swapDirs = tmp;
+	SwapDir *tmp;
+	swap->n_allocated <<= 1;
+	tmp = xcalloc(swap->n_allocated, sizeof(SwapDir));
+	xmemcpy(tmp, swap->swapDirs, swap->n_configured * sizeof(SwapDir));
+	xfree(swap->swapDirs);
+	swap->swapDirs = tmp;
     }
 }
 
@@ -1033,9 +1029,9 @@
 {
     int i;
     for (i = 0; storefs_list[i].typestr != NULL; i++) {
-        if (strcasecmp(type, storefs_list[i].typestr) == 0) {
-            return i;
-        }
+	if (strcasecmp(type, storefs_list[i].typestr) == 0) {
+	    return i;
+	}
     }
     return (-1);
 }
Index: squid/src/client_side.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/client_side.c,v
retrieving revision 1.1.1.3.4.1.2.30.2.16
retrieving revision 1.1.1.3.4.1.2.30.2.17
diff -u -r1.1.1.3.4.1.2.30.2.16 -r1.1.1.3.4.1.2.30.2.17
--- squid/src/client_side.c	6 Jan 2001 23:56:28 -0000	1.1.1.3.4.1.2.30.2.16
+++ squid/src/client_side.c	7 Jan 2001 09:48:31 -0000	1.1.1.3.4.1.2.30.2.17
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.c,v 1.1.1.3.4.1.2.30.2.16 2001/01/06 23:56:28 rbcollins Exp $
+ * $Id: client_side.c,v 1.1.1.3.4.1.2.30.2.17 2001/01/07 09:48:31 hno Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -116,7 +116,7 @@
 static log_type clientProcessRequest2(clientHttpRequest * http);
 static int clientReplyBodyTooLarge(int clen);
 static int clientRequestBodyTooLarge(int clen);
-static void clientProcessBody(ConnStateData *conn);
+static void clientProcessBody(ConnStateData * conn);
 
 static int
 checkAccelOnly(clientHttpRequest * http)
@@ -141,6 +141,7 @@
     ConnStateData *conn = data;
     xstrncpy(conn->rfc931, ident ? ident : dash_str, USER_IDENT_SZ);
 }
+
 #endif
 
 static aclCheck_t *
@@ -156,7 +157,7 @@
      * hack for ident ACL. It needs to get full addresses, and a
      * place to store the ident result on persistent connections...
      */
-    /* connection oriented auth also needs these two lines for it's operation.*/
+    /* connection oriented auth also needs these two lines for it's operation. */
     ch->conn = conn;
     cbdataLock(ch->conn);
 
@@ -222,7 +223,7 @@
 	RequestMethodStr[http->request->method], http->uri,
 	answer == ACCESS_ALLOWED ? "ALLOWED" : "DENIED",
 	AclMatchedName ? AclMatchedName : "NO ACL's");
-    proxy_auth_msg = authenticateAuthUserRequestMessage(http->conn->auth_user_request? http->conn->auth_user_request : http->request->auth_user_request);
+    proxy_auth_msg = authenticateAuthUserRequestMessage(http->conn->auth_user_request ? http->conn->auth_user_request : http->request->auth_user_request);
     http->acl_checklist = NULL;
     if (answer == ACCESS_ALLOWED) {
 	safe_free(http->uri);
@@ -264,13 +265,13 @@
 	err = errorCon(page_id, status);
 	err->request = requestLink(http->request);
 	err->src_addr = http->conn->peer.sin_addr;
-        if (http->conn->auth_user_request)
-            err->auth_user_request=http->conn->auth_user_request;
-        else if (http->request->auth_user_request)
-            err->auth_user_request=http->request->auth_user_request;
-        /* lock for the error state */
-        if (err->auth_user_request)
-            authenticateAuthUserRequestLock(err->auth_user_request);
+	if (http->conn->auth_user_request)
+	    err->auth_user_request = http->conn->auth_user_request;
+	else if (http->request->auth_user_request)
+	    err->auth_user_request = http->request->auth_user_request;
+	/* lock for the error state */
+	if (err->auth_user_request)
+	    authenticateAuthUserRequestLock(err->auth_user_request);
 	err->callback_data = NULL;
 	errorAppendEntry(http->entry, err);
     }
@@ -309,7 +310,7 @@
 	new_request->my_addr = old_request->my_addr;
 	new_request->my_port = old_request->my_port;
 	new_request->flags.redirected = 1;
-        new_request->auth_user_request=old_request->auth_user_request;
+	new_request->auth_user_request = old_request->auth_user_request;
 #if 0
 	if (old_request->authuser[0])
 	    xstrncpy(new_request->authuser, old_request->authuser,
@@ -713,7 +714,7 @@
     debug(33, 3) ("httpRequestFree: %s\n", storeUrl(http->entry));
     if (!clientCheckTransferDone(http)) {
 	if (request && request->body_connection)
-	    clientAbortBody(request);		/* abort body transter */
+	    clientAbortBody(request);	/* abort body transter */
 #if MYSTERIOUS_CODE
 	/*
 	 * DW: this seems odd here, is it really needed?  It causes
@@ -754,17 +755,16 @@
 	    http->al.http.version = request->http_ver;
 	    http->al.headers.request = xstrdup(mb.buf);
 	    http->al.hier = request->hier;
-            if (request->auth_user_request)
-            {
-                http->al.cache.authuser = xstrdup(authenticateUserRequestUsername(request->auth_user_request));
-                authenticateAuthUserRequestUnlock(request->auth_user_request);
-                request->auth_user_request= NULL;
-            }
+	    if (request->auth_user_request) {
+		http->al.cache.authuser = xstrdup(authenticateUserRequestUsername(request->auth_user_request));
+		authenticateAuthUserRequestUnlock(request->auth_user_request);
+		request->auth_user_request = NULL;
+	    }
 #if 0
 	    if (request->authuser[0])
 		http->al.cache.authuser = request->authuser;
 #endif
-            if (conn->rfc931[0])
+	    if (conn->rfc931[0])
 		http->al.cache.rfc931 = conn->rfc931;
 	    packerClean(&p);
 	    memBufClean(&mb);
@@ -1014,7 +1014,7 @@
     if (method == METHOD_PUT)
 	return 0;
     if (method == METHOD_POST)
-	return 0; /* XXX POST may be cached sometimes.. ignored for now */
+	return 0;		/* XXX POST may be cached sometimes.. ignored for now */
     if (req->protocol == PROTO_GOPHER)
 	return gopherCachable(url);
     if (req->protocol == PROTO_CACHEOBJ)
@@ -1297,7 +1297,7 @@
     }
     /* Handle authentication headers */
     if (request->auth_user_request)
-        authenticateFixHeader(rep, request->auth_user_request, request,http->flags.accel);
+	authenticateFixHeader(rep, request->auth_user_request, request, http->flags.accel);
     /* Append X-Cache */
     httpHeaderPutStrf(hdr, HDR_X_CACHE, "%s from %s",
 	is_hit ? "HIT" : "MISS", getMyHostname());
@@ -2323,7 +2323,6 @@
 	debug(33, 1) ("parseHttpRequest: Requestheader contains NULL characters\n");
 	return parseHttpRequestAbort(conn, "error:invalid-request");
     }
-
     /* Look for request method */
     if ((mstr = strtok(inbuf, "\t ")) == NULL) {
 	debug(33, 1) ("parseHttpRequest: Can't get request method\n");
@@ -2629,7 +2628,7 @@
 	}
 	conn->in.buf[conn->in.offset] = '\0';	/* Terminate the string */
 	if (nrequests == 0)
-	    fd_note(conn->fd,"Reading next request");
+	    fd_note(conn->fd, "Reading next request");
 	/* Process request */
 	http = parseHttpRequest(conn,
 	    &method,
@@ -2750,7 +2749,7 @@
 		}
 	    }
 	    clientAccessCheck(http);
-	    continue;   /* while offset > 0 && body.size_left == 0 */
+	    continue;		/* while offset > 0 && body.size_left == 0 */
 	} else if (parser_return_code == 0) {
 	    /*
 	     *    Partial request received; reschedule until parseHttpRequest()
@@ -2789,10 +2788,10 @@
 	    }
 	    break;
 	}
-    } /* while offset > 0 && conn->body.size_left == 0 */
+    }				/* while offset > 0 && conn->body.size_left == 0 */
     /* Check if a half-closed connection was aborted in the middle */
     if (F->flags.socket_eof) {
-	if (conn->in.offset != conn->body.size_left) { /* != 0 when no request body */
+	if (conn->in.offset != conn->body.size_left) {	/* != 0 when no request body */
 	    /* Partial request received. Abort client connection! */
 	    debug(33, 3) ("clientReadRequest: FD %d aborted\n", fd);
 	    comm_close(fd);
@@ -2803,12 +2802,12 @@
 
 /* file_read like function, for reading body content */
 void
-clientReadBody( request_t *request, char *buf, size_t size, CBCB *callback, void *cbdata)
+clientReadBody(request_t * request, char *buf, size_t size, CBCB * callback, void *cbdata)
 {
     ConnStateData *conn = request->body_connection;
     if (!conn) {
-	debug(33, 5) ("clientReadBody: no body to read, request=%p\n",request);
-	callback(buf,0,cbdata); /* Signal end of body */
+	debug(33, 5) ("clientReadBody: no body to read, request=%p\n", request);
+	callback(buf, 0, cbdata);	/* Signal end of body */
 	return;
     }
     debug(33, 2) ("clientReadBody: start fd=%d body_size=%d in.offset=%d cb=%p req=%p\n", conn->fd, conn->body.size_left, conn->in.offset, callback, request);
@@ -2827,7 +2826,7 @@
 
 /* Called by clientReadRequest to process body content */
 static void
-clientProcessBody(ConnStateData *conn)
+clientProcessBody(ConnStateData * conn)
 {
     int size;
     char *buf = conn->body.buf;
@@ -2843,9 +2842,9 @@
     assert(buf != NULL);
     /* How much do we have to process? */
     size = conn->in.offset;
-    if (size > conn->body.size_left) /* only process the body part */
+    if (size > conn->body.size_left)	/* only process the body part */
 	size = conn->body.size_left;
-    if (size > conn->body.bufsize) /* don't copy more than requested */
+    if (size > conn->body.bufsize)	/* don't copy more than requested */
 	size = conn->body.bufsize;
     xmemcpy(buf, conn->in.buf, size);
     conn->body.size_left -= size;
@@ -2857,7 +2856,7 @@
      * clientReadRequest automatically continues to process next request */
     if (conn->body.size_left <= 0 && request != NULL)
 	request->body_connection = NULL;
-    /* Remove clientReadBody arguments (the call is completed)*/
+    /* Remove clientReadBody arguments (the call is completed) */
     conn->body.request = NULL;
     conn->body.callback = NULL;
     conn->body.buf = NULL;
@@ -2868,7 +2867,7 @@
     /* Invoke callback function */
     callback(buf, size, cbdata);
     if (request != NULL)
-	requestUnlink(request);		/* Linked in clientReadBody */
+	requestUnlink(request);	/* Linked in clientReadBody */
     debug(33, 2) ("clientProcessBody: end fd=%d size=%d body_size=%d in.offset=%d cb=%p req=%p\n", conn->fd, size, conn->body.size_left, conn->in.offset, callback, request);
     return;
 }
@@ -2878,7 +2877,7 @@
 void
 clientReadBodyAbortHandler(char *buf, size_t size, void *data)
 {
-    ConnStateData *conn = (ConnStateData *)data;
+    ConnStateData *conn = (ConnStateData *) data;
     debug(33, 2) ("clientReadBodyAbortHandler: fd=%d body_size=%d in.offset=%d\n", conn->fd, conn->body.size_left, conn->in.offset);
     if (size != 0 && conn->body.size_left != 0) {
 	debug(33, 3) ("clientReadBodyAbortHandler: fd=%d shedule next read\n", conn->fd);
@@ -2888,10 +2887,10 @@
 	conn->body.cbdata = data;
     }
 }
-	
+
 /* Abort a body request */
 int
-clientAbortBody(request_t *request)
+clientAbortBody(request_t * request)
 {
     ConnStateData *conn = request->body_connection;
     char *buf;
@@ -2899,7 +2898,7 @@
     void *cbdata;
     request->body_connection = NULL;
     if (!conn || conn->body.size_left <= 0)
-	return 0; /* No body to abort */
+	return 0;		/* No body to abort */
     if (conn->body.callback != NULL) {
 	buf = conn->body.buf;
 	callback = conn->body.callback;
@@ -2909,12 +2908,12 @@
 	conn->body.callback = NULL;
 	conn->body.cbdata = NULL;
 	conn->body.request = NULL;
-	callback(buf, -1, cbdata); /* Signal abort to clientReadBody caller */
+	callback(buf, -1, cbdata);	/* Signal abort to clientReadBody caller */
 	requestUnlink(request);
     }
-    clientReadBodyAbortHandler(NULL, -1, conn); /* Install abort handler */
+    clientReadBodyAbortHandler(NULL, -1, conn);		/* Install abort handler */
     /* clientProcessBody() */
-    return 1; /* Aborted */
+    return 1;			/* Aborted */
 }
 
 /* general lifetime handler for HTTP requests */
Index: squid/src/defines.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/defines.h,v
retrieving revision 1.1.1.3.12.9.2.4
retrieving revision 1.1.1.3.12.9.2.5
diff -u -r1.1.1.3.12.9.2.4 -r1.1.1.3.12.9.2.5
--- squid/src/defines.h	7 Jan 2001 00:34:20 -0000	1.1.1.3.12.9.2.4
+++ squid/src/defines.h	7 Jan 2001 09:48:31 -0000	1.1.1.3.12.9.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: defines.h,v 1.1.1.3.12.9.2.4 2001/01/07 00:34:20 rbcollins Exp $
+ * $Id: defines.h,v 1.1.1.3.12.9.2.5 2001/01/07 09:48:31 hno Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -134,7 +134,7 @@
 #define AUTHENTICATE_AV_FACTOR 1000
 /* AUTHENTICATION */
 
-#define NTLM_CHALLENGE_SZ 300 
+#define NTLM_CHALLENGE_SZ 300
 
 #define  CONNECT_PORT        443
 
Index: squid/src/enums.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/enums.h,v
retrieving revision 1.1.1.3.12.15.2.6
retrieving revision 1.1.1.3.12.15.2.7
diff -u -r1.1.1.3.12.15.2.6 -r1.1.1.3.12.15.2.7
--- squid/src/enums.h	7 Jan 2001 00:34:20 -0000	1.1.1.3.12.15.2.6
+++ squid/src/enums.h	7 Jan 2001 09:48:31 -0000	1.1.1.3.12.15.2.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: enums.h,v 1.1.1.3.12.15.2.6 2001/01/07 00:34:20 rbcollins Exp $
+ * $Id: enums.h,v 1.1.1.3.12.15.2.7 2001/01/07 09:48:31 hno Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -498,10 +498,10 @@
 } allow_t;
 
 typedef enum {
-    AUTH_UNKNOWN, /* default */ 
+    AUTH_UNKNOWN,		/* default */
     AUTH_BASIC,
     AUTH_NTLM,
-    AUTH_BROKEN  /* known type, but broken data */
+    AUTH_BROKEN			/* known type, but broken data */
 } auth_type_t;
 
 typedef enum {
@@ -510,7 +510,7 @@
     AUTHENTICATE_STATE_CHALLENGE,
     AUTHENTICATE_STATE_RESPONSE,
     AUTHENTICATE_STATE_DONE
-} auth_state_t;   /* connection level auth state */
+} auth_state_t;			/* connection level auth state */
 
 /* stateful helper callback response codes */
 typedef enum {
@@ -522,9 +522,9 @@
 
 /* stateful helper reservation info */
 typedef enum {
-    S_HELPER_FREE,  /* available for requests */
-    S_HELPER_RESERVED, /* in a reserved state - no active request, but state data in the helper shouldn't be disturbed */
-    S_HELPER_DEFERRED /* available for requests, and at least one more will come from a previous caller with the server pointer */
+    S_HELPER_FREE,		/* available for requests */
+    S_HELPER_RESERVED,		/* in a reserved state - no active request, but state data in the helper shouldn't be disturbed */
+    S_HELPER_DEFERRED		/* available for requests, and at least one more will come from a previous caller with the server pointer */
 } stateful_helper_reserve_t;
 
 
Index: squid/src/errorpage.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/errorpage.c,v
retrieving revision 1.1.1.3.10.9.2.8
retrieving revision 1.1.1.3.10.9.2.9
diff -u -r1.1.1.3.10.9.2.8 -r1.1.1.3.10.9.2.9
--- squid/src/errorpage.c	5 Jan 2001 22:45:27 -0000	1.1.1.3.10.9.2.8
+++ squid/src/errorpage.c	7 Jan 2001 09:48:31 -0000	1.1.1.3.10.9.2.9
@@ -1,6 +1,6 @@
 
 /*
- * $Id: errorpage.c,v 1.1.1.3.10.9.2.8 2001/01/05 22:45:27 rbcollins Exp $
+ * $Id: errorpage.c,v 1.1.1.3.10.9.2.9 2001/01/07 09:48:31 hno Exp $
  *
  * DEBUG: section 4     Error Generation
  * AUTHOR: Duane Wessels
@@ -372,7 +372,7 @@
     safe_free(err->ftp.request);
     safe_free(err->ftp.reply);
     if (err->auth_user_request)
-        authenticateAuthUserRequestUnlock(err->auth_user_request);
+	authenticateAuthUserRequestUnlock(err->auth_user_request);
     cbdataFree(err);
 }
 
Index: squid/src/ftp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/ftp.c,v
retrieving revision 1.1.1.3.4.1.2.8.2.3
retrieving revision 1.1.1.3.4.1.2.8.2.4
diff -u -r1.1.1.3.4.1.2.8.2.3 -r1.1.1.3.4.1.2.8.2.4
--- squid/src/ftp.c	7 Jan 2001 07:32:44 -0000	1.1.1.3.4.1.2.8.2.3
+++ squid/src/ftp.c	7 Jan 2001 09:48:31 -0000	1.1.1.3.4.1.2.8.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ftp.c,v 1.1.1.3.4.1.2.8.2.3 2001/01/07 07:32:44 hno Exp $
+ * $Id: ftp.c,v 1.1.1.3.4.1.2.8.2.4 2001/01/07 09:48:31 hno Exp $
  *
  * DEBUG: section 9     File Transfer Protocol (FTP)
  * AUTHOR: Harvest Derived
@@ -1967,7 +1967,7 @@
 	 */
 	commSetTimeout(ftpState->ctrl.fd, -1, NULL, NULL);
 	commSetTimeout(ftpState->data.fd, Config.Timeout.read, ftpTimeout,
-		ftpState);
+	    ftpState);
 	ftpState->state = WRITING_DATA;
 	debug(9, 3) ("ftpReadStor: writing data channel\n");
     } else if (code == 150) {
@@ -2180,8 +2180,8 @@
 static void
 ftpRequestBody(char *buf, size_t size, void *data)
 {
-    FtpStateData *ftpState = (FtpStateData *)data;
-    debug(9, 3) ("ftpRequestBody: buf=%p size=%d ftpState=%p\n",buf,size,data);
+    FtpStateData *ftpState = (FtpStateData *) data;
+    debug(9, 3) ("ftpRequestBody: buf=%p size=%d ftpState=%p\n", buf, size, data);
     ftpState->data.offset = size;
     if (size > 0) {
 	/* DataWrite */
@@ -2200,7 +2200,7 @@
 static void
 ftpDataWriteCallback(int fd, char *buf, size_t size, int err, void *data)
 {
-    FtpStateData *ftpState = (FtpStateData *)data;
+    FtpStateData *ftpState = (FtpStateData *) data;
     if (!err) {
 	/* Shedule the rest of the request */
 	clientReadBody(ftpState->request, ftpState->data.buf, ftpState->data.size, ftpRequestBody, ftpState);
@@ -2213,7 +2213,7 @@
 static void
 ftpDataWrite(int ftp, void *data)
 {
-    FtpStateData * ftpState = (FtpStateData *)data;
+    FtpStateData *ftpState = (FtpStateData *) data;
     debug(9, 3) ("ftpDataWrite\n");
     /* This starts the body transfer */
     clientReadBody(ftpState->request, ftpState->data.buf, ftpState->data.size, ftpRequestBody, ftpState);
@@ -2230,7 +2230,7 @@
 	ftpFailed(ftpState, ERR_FTP_PUT_ERROR);
 	return;
     }
-    storeTimestampsSet(ftpState->entry); /* XXX Is this needed? */
+    storeTimestampsSet(ftpState->entry);	/* XXX Is this needed? */
     ftpSendReply(ftpState);
 }
 
Index: squid/src/globals.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/globals.h,v
retrieving revision 1.1.1.3.12.8.2.3
retrieving revision 1.1.1.3.12.8.2.4
diff -u -r1.1.1.3.12.8.2.3 -r1.1.1.3.12.8.2.4
--- squid/src/globals.h	2 Jan 2001 10:57:02 -0000	1.1.1.3.12.8.2.3
+++ squid/src/globals.h	7 Jan 2001 09:48:31 -0000	1.1.1.3.12.8.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: globals.h,v 1.1.1.3.12.8.2.3 2001/01/02 10:57:02 rbcollins Exp $
+ * $Id: globals.h,v 1.1.1.3.12.8.2.4 2001/01/07 09:48:31 hno Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -145,7 +145,7 @@
 extern request_flags null_request_flags;
 extern int store_open_disk_fd;	/* 0 */
 extern const char *SwapDirType[];
-extern authscheme_entry_t *authscheme_list; /* NULL */
+extern authscheme_entry_t *authscheme_list;	/* NULL */
 extern storefs_entry_t *storefs_list;	/* NULL */
 extern storerepl_entry_t *storerepl_list;	/* NULL */
 extern int store_swap_low;	/* 0 */
@@ -153,4 +153,4 @@
 extern int store_pages_max;	/* 0 */
 extern ssize_t store_maxobjsize;	/* -1 */
 extern RemovalPolicy *mem_policy;
-extern hash_table *proxy_auth_username_cache; /* NULL */
+extern hash_table *proxy_auth_username_cache;	/* NULL */
